Retrieve experiment span

Retrieve a specific log from an experiment using the V2 API. ## Authentication - API key: `Authorization: Bearer ` ## Path Parameters - `experiment_id` *string* **required**: The ID of the experiment. - `log_id` *string* **required**: The ID of the log to retrieve. ## Examples ```python Python experiment_id = "experiment_id_123" log_id = "log_id_123" url = f"https://api.respan.ai/api/v2/experiments/{experiment_id}/logs/{log_id}" headers = { "Authorization": "Bearer YOUR_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```bash cURL curl -X GET "https://api.respan.ai/api/v2/experiments/{experiment_id}/logs/{log_id}" \ -H "Authorization: Bearer YOUR_API_KEY" ``` ## Response ```json 200 OK { "id": "log_id_123", "input": { "current_prompt_version": "v1" }, "output": { "result": "output_value" }, "comparison_key": "b7c84ae535cf66aef2f862eb260a14bd1aa9310220076cf196fec40860ac0d11" } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

experiment_idstringRequired
The ID of the experiment.
log_idstringRequired
The ID of the log to retrieve.

Response

Successful response for Retrieve experiment span

Errors

401
Unauthorized Error